summaryrefslogtreecommitdiffstats
path: root/development/perl-shtags
diff options
context:
space:
mode:
author David Woodfall <dave@dawoodfall.net>2018-04-05 21:55:09 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-04-07 08:13:11 +0700
commit1e197d0257a929790531ae5093ac40e4f882a4db (patch)
tree05299fbb43ec6a2eb9b58a697138511523ecd444 /development/perl-shtags
parent19b2a5f74d10e399f05f5135acf0523efccbe7e3 (diff)
downloadslackbuilds-1e197d0257a929790531ae5093ac40e4f882a4db.tar.gz
slackbuilds-1e197d0257a929790531ae5093ac40e4f882a4db.tar.xz
development/perl-shtags: Added (sh tag creator).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development/perl-shtags')
-rw-r--r--development/perl-shtags/README24
-rw-r--r--development/perl-shtags/perl-shtags.SlackBuild66
-rw-r--r--development/perl-shtags/perl-shtags.info10
-rw-r--r--development/perl-shtags/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/development/perl-shtags/README b/development/perl-shtags/README
new file mode 100644
index 0000000000..03f2173d64
--- /dev/null
+++ b/development/perl-shtags/README
@@ -0,0 +1,24 @@
+shtags.pl is a script to generate tag files for shell and perl scripts.
+
+USAGE: shtags.pl [-kvwVx] [-t <file>] <files>
+ -t <file> Name of tags file to create. (default is 'tags')
+ -s <shell> Name of the shell language in the script
+ -v Include variable definitions.
+ (variables mentioned at the start of a line)
+ -V Print version information.
+ -w Suppress "duplicate tag" warnings.
+ -x Explicitly create a new tags file. Normally tags are merged.
+ <files> List of files to scan for tags.
+
+This is an update to the one that comes with vim, modified to use Getopt::Std
+rather than the older getopts.pl that came with perl4.
+
+Supported script types:
+
+sh Bourne Shell (including bash, but use -s sh)
+perl Perl (versions 4 and 5)
+ksh Korn Shell
+tclsh The TCL shell
+wish The TK Windowing shell (same as tclsh)
+
+See man (1) shtags for more information.
diff --git a/development/perl-shtags/perl-shtags.SlackBuild b/development/perl-shtags/perl-shtags.SlackBuild
new file mode 100644
index 0000000000..b310419c7e
--- /dev/null
+++ b/development/perl-shtags/perl-shtags.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for perl-shtags
+# Copyright 2018 David Woodfall <dave@dawoodfall.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-shtags
+VERSION=${VERSION:-0.0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/{bin,man/man1} $PKG/usr/share/perl5/vendor_perl
+cp shtags.pl $PKG/usr/share/perl5/vendor_perl
+cp shtags.1 $PKG/usr/man/man1
+
+gzip -9 $PKG/usr/man/man1/shtags.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG/usr/bin
+ln -s ../share/perl5/vendor_perl/shtags.pl .
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/perl-shtags/perl-shtags.info b/development/perl-shtags/perl-shtags.info
new file mode 100644
index 0000000000..477f212e72
--- /dev/null
+++ b/development/perl-shtags/perl-shtags.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-shtags"
+VERSION="0.0.4"
+HOMEPAGE="http://dawoodfall.net/scripts/perl/"
+DOWNLOAD="http://unrealize.co.uk/source/perl-shtags-0.0.4.tar.gz"
+MD5SUM="dc5c554d178ccedf561ba5c16681d5ea"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Woodfall"
+EMAIL="dave@dawoodfall.net"
diff --git a/development/perl-shtags/slack-desc b/development/perl-shtags/slack-desc
new file mode 100644
index 0000000000..83ea41e973
--- /dev/null
+++ b/development/perl-shtags/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-shtags: perl-shtags (sh tag creator)
+perl-shtags:
+perl-shtags: shtags.pl is a script to generate tag files for sh and perl scripts.
+perl-shtags:
+perl-shtags: This is an update to the one that comes with vim, modified to use
+perl-shtags: Getopt::Std rather than the older getopts.pl that came with perl4.
+perl-shtags:
+perl-shtags: http://dawoodfall.net/scripts/perl/
+perl-shtags:
+perl-shtags:
+perl-shtags: